
{% if blog_post %}
<div class="col-lg-4  col-md-6 d-flex align-items-stretch" data-aos="fade-up">
	<article class="entry">

		<div class="entry-img">
			<img src="{{ blog_post.image.url }}" alt="" class="img-fluid">
		</div>

		<h2 class="entry-title">
			<a href="{% url 'blog:detail' post.slug %}">{{ blog_post.title }}</a>
		</h2>

		<div class="entry-meta">
			<ul>
				<li class="d-flex align-items-center"><i class="icofont-user"></i> <a
						href="/">{{ blog_post.author|safe|truncatechars:12 }}</a></li>
				<li class="d-flex align-items-center"><i class="icofont-wall-clock"></i> <a href="/"><time
							datetime="2020-01-01">{{ post.date_updated|safe|truncatechars:12 }}</time></a></li>
			</ul>
		</div>

		<div class="entry-content">
			<p>{{ blog_post.body|safe|truncatechars:180 }}</p>
			<div class="read-more">
				<a href="{% url 'blog:detail' post.slug %}">อ่านเพิ่มเติม</a>
				{% if blog_post.author == request.user %}
				<a href="{% url 'blog:edit' blog_post.slug %}" class="btn btn-primary">แก้ไข</a>
				{% endif %}
			</div>
		</div>

	</article>
	<!-- End blog entry -->
</div>
{% else %}

<!-- <div class="container">
	<div class="row">
		<div class="card m-auto">
			<div class="card-body mt-2 mb-2">
				<h2 class="card-title">No results</h2>
				<p class="card-text">There were no results matching the search: "{{query}}"</p>
			</div>
		</div>
	</div>
</div> -->

{% endif %}